Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.ss.formula.functions
Class Address

    java.lang.Object
      org.apache.poi.ss.formula.functions.Address

All Implemented Interfaces:
  Function

    public class Address

extends java.lang.Object
implements Function

Creates a text reference as text, given specified row and column numbers.

Author:
  Aniket Banerjee (banerjee@google.com)

Field Summary
`static int` | `REF_ABSOLUTE`
`static int` | `REF_RELATIVE`
`static int` | `REF_ROW_ABSOLUTE_COLUMN_RELATIVE`
`static int` | `REF_ROW_RELATIVE_RELATIVE_ABSOLUTE`

Constructor Summary
`Address()`

Method Summary
`ValueEval` | `evaluate(ValueEval[] args, int srcRowIndex, int srcColumnIndex)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### REF_ABSOLUTE

    public static final int REF_ABSOLUTE

See Also:
  Constant Field Values

### REF_ROW_ABSOLUTE_COLUMN_RELATIVE

    public static final int REF_ROW_ABSOLUTE_COLUMN_RELATIVE

See Also:
  Constant Field Values

### REF_ROW_RELATIVE_RELATIVE_ABSOLUTE

    public static final int REF_ROW_RELATIVE_RELATIVE_ABSOLUTE

See Also:
  Constant Field Values

### REF_RELATIVE

    public static final int REF_RELATIVE

See Also:
  Constant Field Values

Constructor Detail

### Address

    public Address()

Method Detail

### evaluate

    public ValueEval evaluate(ValueEval[] args,
                              int srcRowIndex,
                              int srcColumnIndex)

  Specified by:
    `evaluate` in interface `Function`
  Parameters:
    `args` - the evaluated function arguments. Empty values are represented with `BlankEval` or `MissingArgEval`, never `null`.
    `srcRowIndex` - row index of the cell containing the formula under evaluation
    `srcColumnIndex` - column index of the cell containing the formula under evaluation
  Returns:
    The evaluated result, possibly an `ErrorEval`, never `null`. Note - Excel uses the error code #NUM! instead of IEEE NaN, so when numeric functions evaluate to `Double.NaN` be sure to translate the result to `ErrorEval.NUM_ERROR`.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD